<?php 
	
	function health_customize_general_tab($wp_customize, $theme_name){
	
		$wp_customize->add_section( 'health_general_settings' , array(
		    'title'      => esc_html__( 'General Settings', 'health' ),
		    'priority'   => 20,
		) );
		
		
		/* logo image */ 
		
		$wp_customize->add_setting( 'health_general_settings_logo' , array(
			'default'     => '',
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		) );
		$wp_customize->add_control(
	        new WP_Customize_Image_Control(
	            $wp_customize,
	            'health_general_settings_logo',
				array(
				   'label'      => esc_html__( 'Logo image light', 'health' ),
				   'section'    => 'health_general_settings',
				   'context'    => 'health_general_settings_logo',
				   'settings'   => 'health_general_settings_logo',
				   'priority'   => 50
				)
	       )
	    );

		$wp_customize->add_setting( 'health_general_settings_logo_inverse' , array(
			'default'     => '',
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		) );
		$wp_customize->add_control(
	        new WP_Customize_Image_Control(
	            $wp_customize,
	            'health_general_settings_logo_inverse',
				array(
				   'label'      => esc_html__( 'Logo image dark', 'health' ),
				   'section'    => 'health_general_settings',
				   'context'    => 'health_general_settings_logo_inverse',
				   'settings'   => 'health_general_settings_logo_inverse',
				   'priority'   => 60
				)
	       )
	    );

		$wp_customize->add_setting( 'health_general_settings_logo_width' , array(
		    'default'     => '',
		    'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		) );
		$wp_customize->add_control(
			'health_general_settings_logo_width',
			array(
				'label'    => esc_html__( 'Logo Max Width', 'health' ),
				'description'=> esc_html__( 'Retina Logo should be 2x large than max width', 'health' ),
				'section'  => 'health_general_settings',
				'settings' => 'health_general_settings_logo_width',
				'type'     => 'text',
				'priority'   => 62
			)
		);

		$wp_customize->add_setting(	'health_general_settings_logo_horizontal_pos', array(
				'default' => '0',
				'transport'   => 'postMessage',
				'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control(
			new health_Slider_Single_Control(
				$wp_customize,
				'health_general_settings_logo_horizontal_pos',
				array(
					'label' => esc_html__( 'Logo Horizontal Position', 'health' ),
					'section' => 'health_general_settings',
					'settings' => 'health_general_settings_logo_horizontal_pos',
					'min' => -100,
					'max' => 100,
					'priority'   => 64
				)
			)
		);

		$wp_customize->add_setting(	'health_general_settings_logo_vertical_pos', array(
				'default' => '0',
				'transport'   => 'postMessage',
				'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control(
			new health_Slider_Single_Control(
				$wp_customize,
				'health_general_settings_logo_vertical_pos',
				array(
					'label' => esc_html__( 'Logo Vertical Position', 'health' ),
					'section' => 'health_general_settings',
					'settings' => 'health_general_settings_logo_vertical_pos',
					'min' => -100,
					'max' => 100,
					'priority'   => 66
				)
			)
		);



		$wp_customize->add_setting( 'health_general_settings_bg_image' , array(
			'default'     => '',
			'transport'   => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		) );
		$wp_customize->add_control(
	        new WP_Customize_Image_Control(
	            $wp_customize,
	            'health_general_settings_bg_image',
				array(
				   'label'      => esc_html__( 'Background Image', 'health' ),
				   'description'=> esc_html__( 'for Boxed layout', 'health' ),
				   'section'    => 'health_general_settings',
				   'context'    => 'health_general_settings_bg_image',
				   'settings'   => 'health_general_settings_bg_image',
				   'priority'   => 80
				)
	       )
	    );
		
	 

        $wp_customize->add_setting( 'health_map_api' , array(
            'default'     => 'AIzaSyBqQ_bBw186KJnMcRByvn5ffZueg88wp1E',
            'transport'   => 'refresh',
            'sanitize_callback' => 'esc_attr'
        ) );
        $wp_customize->add_control(
            'health_map_api',
            array(
                'label' => esc_html__( 'Google Map Api Key', 'health' ),
                'type' => 'text',
                'section' => 'health_general_settings',
                'settings' => 'health_map_api',
                'priority'   => 120
            )
        );

		
		
	}
	
	